Skip to content

Creates a new exhibitor setting record that does not already exist.

Request

This method will auto-generate an ID and create a new exhibitor setting. If an ID is specified for the exhibitor setting, an error will be thrown.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The exhibitor setting that you would like to be saved.

allow_customer_to_choose_installment_planboolean(Allow Customer To Choose Installment Plan)

If true, the customer can choose their installment plan

bank_account_idstring(Bank Account)required

The default bank account that the store should use to receive payments

bill_my_organization_optionsobject(Bill My Organization Options)
bill_my_parent_organization_optionsobject(Bill My Parent Organization Options)
booth_colorsobject(Booth Colors)

Allow you to set colors for the show floor

business_unit_idstring(Business Unit)required

The business unit of the store

cancellation_fee_product_idstring(Cancellation Fee Product)

The ID of the product used for cancellation fees

checkout_donation_optionsobject(Checkout Donation Options)required
contact_restriction_rulesArray of objects, non-emptyrequired

Contact rules restricted if enabled by enable_contact_restriction_rules flag

contact_role_idsArray of strings, non-empty(Contact Roles)required

When access is restricted, these contact roles can perform exhibitor activities

credit_card_minimum_range_endnumber, (float)(Credit Card Minimum Range End)

If set, the maximum amount for which credit cards can be taken

credit_card_minimum_range_startnumber, (float)(Credit Card Minimum Range Start)

If set, the minimum amount for which credit cards can be taken

credit_card_modestring(Credit Card Mode)

Determines whether or not credit cards are accepted

Enum:"disabled""enabled""range"
credit_card_processing_fee_modestring(Credit Card Processing Fee Mode)

Determines how credit card processing fees should be handled

Enum:"charge""do not charge""prompt user"
credit_card_processing_fee_optionsobject(Credit Card Processing Fee Options)required
disable_electronic_payment_vaultingboolean(Disable Electronic Payment Vaulting)

If set, in the portal people are not allowed to save credit cards

enable_bill_my_organizationboolean(Enable Bill My Organization)

If set, the user has the option to bill their organization

enable_bill_my_parent_organizationboolean(Enable Bill My Parent Organization)

If set, the user has the option to bill their organization's parent organization

enable_contact_restriction_rulesboolean(Enable Contact Restriction Rules)
enable_donations_at_checkoutboolean(Enable Donations At Checkout)

If selected, users will be prompted to make a donation upon checking out

enable_electronic_checksboolean(Enable Electronic Checks)

If set, electronic checks are allowed

enable_pay_laterboolean(Enable Pay Later)

If set, pay later is enabled on this checkout regardless of product settings... if not, the product settings are observed

enable_payroll_deductionboolean(Enable Payroll Deduction)

If set, payroll deduction is allowed

enable_split_paymentsboolean(Enable Split Payments)

If set, users are allowed to split payments

idstring(ID)^[\w|-]+$required

The unique, string identifier of this exhibitor setting

installment_plan_optionsArray of objects, non-emptyrequired
invoice_payment_terms_idstring(Invoice Payment Terms)

The payment terms for invoices; if left blank, default is used

invoice_template_idstring(Invoice Template)

The template to use for invoices created during this process

maximum_description_character_countnumber, (float)(Maximum Description Character Count)

The maximum number of characters for the exhibitor description

merchant_account_idstring(Merchant Account)required

The merchant account that the store should use to receive payments

notesstring(Notes)
pay_later_optionsobject(Pay Later Options)
restocking_fee_product_idstring(Restocking Fee Product)

The ID of the product used for restocking fees

restrict_portal_accessboolean(Restrict Portal Access)

If true, only certain contact roles can access exhibitor settings

scheduleArray of objects

An array of date/time ranges that indicate the hours at which the show floor is open.

special_instructionsstring(Special Instructions)

Instructions shown to the user

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

use_pro_forma_invoicesboolean(Use Pro Forma Invoices)

Whether to use pro forma invoices when user elects to pay later

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/exhibitorSettings/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "allow_customer_to_choose_installment_plan": true,
    "bank_account_id": "string",
    "bill_my_organization_options": {
      "billing_address": "do not show",
      "purchase_order_number": "do not show",
      "reference_number": "string"
    },
    "bill_my_parent_organization_options": {
      "billing_address": "do not show",
      "purchase_order_number": "do not show",
      "reference_number": "string"
    },
    "booth_colors": {
      "available": "string",
      "pending": "string",
      "reserved": "string"
    },
    "business_unit_id": "string",
    "cancellation_fee_product_id": "string",
    "checkout_donation_options": {
      "simple_checkout_donation_options": {
        "allow_user_to_specify_custom_amount": true,
        "donation_ask_text": "string",
        "donation_denominations": [
          0.1
        ],
        "donation_information": "string",
        "donation_product_id": "string",
        "override_donation_denominations": true,
        "suggested_donation": 0.1
      },
      "type": "simple"
    },
    "contact_restriction_rules": [
      {
        "contact_type_id": "string",
        "maximum_number_of_contacts": 0.1,
        "priority_point_type_id": "string",
        "priority_points_range_end": 0.1,
        "priority_points_range_start": 0.1,
        "square_footage_range_end": 0.1,
        "square_footage_range_start": 0.1
      }
    ],
    "contact_role_ids": [
      "string"
    ],
    "credit_card_minimum_range_end": 0.1,
    "credit_card_minimum_range_start": 0.1,
    "credit_card_mode": "disabled",
    "credit_card_processing_fee_mode": "charge",
    "credit_card_processing_fee_options": {
      "fee_percentage": 0.1,
      "maximum_fee": 0.1,
      "minimum_fee": 0.1,
      "product_id": "string",
      "prompt_sub_text": "string",
      "prompt_text": "string"
    },
    "disable_electronic_payment_vaulting": true,
    "enable_bill_my_organization": true,
    "enable_bill_my_parent_organization": true,
    "enable_contact_restriction_rules": true,
    "enable_donations_at_checkout": true,
    "enable_electronic_checks": true,
    "enable_pay_later": true,
    "enable_payroll_deduction": true,
    "enable_split_payments": true,
    "id": "string",
    "installment_plan_options": [
      {
        "additional_cost": 0.1,
        "installment_plan_id": "string",
        "is_default": true
      }
    ],
    "invoice_payment_terms_id": "string",
    "invoice_template_id": "string",
    "maximum_description_character_count": 0.1,
    "merchant_account_id": "string",
    "notes": "string",
    "pay_later_options": {
      "billing_address": "do not show",
      "purchase_order_number": "do not show",
      "reference_number": "string"
    },
    "restocking_fee_product_id": "string",
    "restrict_portal_access": true,
    "schedule": [
      {
        "name": "string",
        "range_end": "2019-08-24T14:15:22Z",
        "range_start": "2019-08-24T14:15:22Z"
      }
    ],
    "special_instructions": "string",
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "use_pro_forma_invoices": true
  }'

Responses

The exhibitor setting was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
allow_customer_to_choose_installment_planboolean(Allow Customer To Choose Installment Plan)

If true, the customer can choose their installment plan

bank_account_idstring(Bank Account)required

The default bank account that the store should use to receive payments

bill_my_organization_optionsobject(Bill My Organization Options)
bill_my_parent_organization_optionsobject(Bill My Parent Organization Options)
booth_colorsobject(Booth Colors)

Allow you to set colors for the show floor

business_unit_idstring(Business Unit)required

The business unit of the store

cancellation_fee_product_idstring(Cancellation Fee Product)

The ID of the product used for cancellation fees

checkout_donation_optionsobject(Checkout Donation Options)required
contact_restriction_rulesArray of objects, non-emptyrequired

Contact rules restricted if enabled by enable_contact_restriction_rules flag

contact_role_idsArray of strings, non-empty(Contact Roles)required

When access is restricted, these contact roles can perform exhibitor activities

credit_card_minimum_range_endnumber, (float)(Credit Card Minimum Range End)

If set, the maximum amount for which credit cards can be taken

credit_card_minimum_range_startnumber, (float)(Credit Card Minimum Range Start)

If set, the minimum amount for which credit cards can be taken

credit_card_modestring(Credit Card Mode)

Determines whether or not credit cards are accepted

Enum:"disabled""enabled""range"
credit_card_processing_fee_modestring(Credit Card Processing Fee Mode)

Determines how credit card processing fees should be handled

Enum:"charge""do not charge""prompt user"
credit_card_processing_fee_optionsobject(Credit Card Processing Fee Options)required
disable_electronic_payment_vaultingboolean(Disable Electronic Payment Vaulting)

If set, in the portal people are not allowed to save credit cards

enable_bill_my_organizationboolean(Enable Bill My Organization)

If set, the user has the option to bill their organization

enable_bill_my_parent_organizationboolean(Enable Bill My Parent Organization)

If set, the user has the option to bill their organization's parent organization

enable_contact_restriction_rulesboolean(Enable Contact Restriction Rules)
enable_donations_at_checkoutboolean(Enable Donations At Checkout)

If selected, users will be prompted to make a donation upon checking out

enable_electronic_checksboolean(Enable Electronic Checks)

If set, electronic checks are allowed

enable_pay_laterboolean(Enable Pay Later)

If set, pay later is enabled on this checkout regardless of product settings... if not, the product settings are observed

enable_payroll_deductionboolean(Enable Payroll Deduction)

If set, payroll deduction is allowed

enable_split_paymentsboolean(Enable Split Payments)

If set, users are allowed to split payments

idstring(ID)^[\w|-]+$required

The unique, string identifier of this exhibitor setting

installment_plan_optionsArray of objects, non-emptyrequired
invoice_payment_terms_idstring(Invoice Payment Terms)

The payment terms for invoices; if left blank, default is used

invoice_template_idstring(Invoice Template)

The template to use for invoices created during this process

maximum_description_character_countnumber, (float)(Maximum Description Character Count)

The maximum number of characters for the exhibitor description

merchant_account_idstring(Merchant Account)required

The merchant account that the store should use to receive payments

notesstring(Notes)
pay_later_optionsobject(Pay Later Options)
restocking_fee_product_idstring(Restocking Fee Product)

The ID of the product used for restocking fees

restrict_portal_accessboolean(Restrict Portal Access)

If true, only certain contact roles can access exhibitor settings

scheduleArray of objects

An array of date/time ranges that indicate the hours at which the show floor is open.

special_instructionsstring(Special Instructions)

Instructions shown to the user

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

use_pro_forma_invoicesboolean(Use Pro Forma Invoices)

Whether to use pro forma invoices when user elects to pay later

Response
{ "allow_customer_to_choose_installment_plan": true, "bank_account_id": "string", "bill_my_organization_options": { "billing_address": "do not show", "purchase_order_number": "do not show", "reference_number": "string" }, "bill_my_parent_organization_options": { "billing_address": "do not show", "purchase_order_number": "do not show", "reference_number": "string" }, "booth_colors": { "available": "string", "pending": "string", "reserved": "string" }, "business_unit_id": "string", "cancellation_fee_product_id": "string", "checkout_donation_options": { "simple_checkout_donation_options": { … }, "type": "simple" }, "contact_restriction_rules": [ { … } ], "contact_role_ids": [ "string" ], "credit_card_minimum_range_end": 0.1, "credit_card_minimum_range_start": 0.1, "credit_card_mode": "disabled", "credit_card_processing_fee_mode": "charge", "credit_card_processing_fee_options": { "fee_percentage": 0.1, "maximum_fee": 0.1, "minimum_fee": 0.1, "product_id": "string", "prompt_sub_text": "string", "prompt_text": "string" }, "disable_electronic_payment_vaulting": true, "enable_bill_my_organization": true, "enable_bill_my_parent_organization": true, "enable_contact_restriction_rules": true, "enable_donations_at_checkout": true, "enable_electronic_checks": true, "enable_pay_later": true, "enable_payroll_deduction": true, "enable_split_payments": true, "id": "string", "installment_plan_options": [ { … } ], "invoice_payment_terms_id": "string", "invoice_template_id": "string", "maximum_description_character_count": 0.1, "merchant_account_id": "string", "notes": "string", "pay_later_options": { "billing_address": "do not show", "purchase_order_number": "do not show", "reference_number": "string" }, "restocking_fee_product_id": "string", "restrict_portal_access": true, "schedule": [ { … } ], "special_instructions": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "use_pro_forma_invoices": true }